/* Initialisation d'une variable                 */
/* lors de sa déclaration                        */

public class ExempleInitialisationVariableEnConsole {

///////////////////////////////////////////////////

  /* Type agrégé de stockage d'une position      */
  /* dans un espace à deux dimensions réelles    */
  static class Position2D {
    double x;
    double y;
  };

  static Position2D saisirPosition2D() {
    Position2D p = new Position2D();
    Console.afficherln("Saisir l'abscisse puis l'ordonnée");
    p.x = Console.saisirDouble();
    p.y = Console.saisirDouble();
    return p;
  }

  /* Programme principal                         */

  public static void main(String [] args) {
    Console.setTitle("ExempleInitialisationVariable");
    /* Initialisation lors de la déclaration     */
    /* Appel directe d'une fonction de saisie    */
    /* clavier pour la variabel de type agrégé   */
    int v1 = 10;
    Position2D p1 = saisirPosition2D();
    /* Déclaration et initialisation classiques  */
    int v2;
    v2 = 10;
    Position2D p2 = new Position2D();
    p2 = saisirPosition2D();
    /* Affichages de vérification                */
    /* des initialisations                       */
    Console.sautDeLigne();
    Console.afficherln(v1," ",v2);
    Console.sautDeLigne();
    Console.afficherln(p1.x," ",p1.y);
    Console.afficherln(p2.x," ",p2.y);
    }

///////////////////////////////////////////////////
}